Bug 825304 - Status is not correct after deploying the BPEL project
Status is not correct after deploying the BPEL project
Status: ASSIGNED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Tooling (Show other bugs)
5.3.0 GA
Unspecified Unspecified
unspecified Severity medium
: ---
: FUTURE
Assigned To: Default User
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 11:32 EDT by Len DiMaggio
Modified: 2013-10-09 07:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 14:59:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBIDE-11928 Critical Reopened Status is not correct after deploying the BPEL project 2013-01-21 07:11:17 EST

  None (edit)
Description Len DiMaggio 2012-05-25 11:32:51 EDT
Description of problem:

Link to: JBIDE-11928

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 JBoss JIRA Server 2012-06-01 19:34:18 EDT
Robert (Bob) Brodt <bbrodt@redhat.com> updated the status of jira JBIDE-11928 to Resolved
Comment 2 JBoss JIRA Server 2012-06-01 19:34:18 EDT
Robert (Bob) Brodt <bbrodt@redhat.com> made a comment on jira JBIDE-11928

Fixed. I reverted my previous change, so behavior should be the same as before.
Comment 6 JBoss JIRA Server 2012-06-08 15:00:53 EDT
Len DiMaggio <ldimaggi@redhat.com> made a comment on jira JBIDE-11928

3) How do we want BPEL processes to behave when changed (auto republish?) in JBDS: https://issues.jboss.org/browse/JBIDE-9789
We won't block the release for it. Leave as is. Documentation is needed to say this is done intentionally.
Comment 7 JBoss JIRA Server 2012-06-08 15:02:54 EDT
Len DiMaggio <ldimaggi@redhat.com> updated the status of jira JBIDE-11928 to Closed
Comment 8 JBoss JIRA Server 2012-06-11 08:13:08 EDT
Andrej Podhradsky <apodhrad@redhat.com> updated the status of jira JBIDE-11928 to Reopened
Comment 9 JBoss JIRA Server 2012-06-11 08:13:08 EDT
Andrej Podhradsky <apodhrad@redhat.com> made a comment on jira JBIDE-11928

Where is this fixed? I tried JBDS 5 CR1 with SOA Tooling Beta3 and also nightly builds but the problem is still there.
Comment 10 JBoss JIRA Server 2012-06-11 13:52:39 EDT
Len DiMaggio <ldimaggi@redhat.com> made a comment on jira JBIDE-11928

The consensus with PGM and PM was to:  "Leave as is. Documentation is needed to say this is done intentionally. "
Comment 11 JBoss JIRA Server 2012-06-22 04:31:46 EDT
Andrej Podhradsky <apodhrad@redhat.com> made a comment on jira JBIDE-11928

Bob wrote: "I reverted my previous change, so behavior should be the same as before."

But this behaviour is still in SOA Tooling CR1, but the behaviour of JBIDE-9789 has changed to the behavior from JBDS 4 (ok, we can leave as is).

Now, what does "Leave as is" mean in this case? Should be documented that after deploying the bpel project, the status is set to 'Republish'?
I think the statuses should be like in JBDS 4 (JBIDE-9789 behaves also like in JBDS 4).
Comment 12 JBoss JIRA Server 2012-06-22 04:42:29 EDT
Andrej Podhradsky <apodhrad@redhat.com> made a comment on jira JBIDE-11928

Eclipse help says:
Synchronized 	Both copies of the application files on the server and in the workbench are matching.
Republished 	The copy of the application files on the workbench has changed and does not match the copy on the server. The server needs to be updated.

I think it is a good idea to follow this.
Comment 13 JBoss JIRA Server 2012-06-22 04:43:01 EDT
Andrej Podhradsky <apodhrad@redhat.com> made a comment on jira JBIDE-11928

Eclipse help says:
[Synchronized] 	Both copies of the application files on the server and in the workbench are matching.
[Republished] 	The copy of the application files on the workbench has changed and does not match the copy on the server. The server needs to be updated.

I think it is a good idea to follow this.
Comment 14 JBoss JIRA Server 2012-06-22 04:44:24 EDT
Andrej Podhradsky <apodhrad@redhat.com> made a comment on jira JBIDE-11928

Eclipse help says:
[Synchronized] 	Both copies of the application files on the server and in the workbench are matching.
[Republished] 	The copy of the application files on the workbench has changed and does not match the copy on the server. The server needs to be updated (in our case we should do 'full publish').

I think it is a good idea to follow this.
Comment 15 Len DiMaggio 2012-07-18 10:29:32 EDT
Re-opening this bz - after 5.3 GA we should discuss if we want this solution for the long-term.
Comment 16 Len DiMaggio 2012-07-18 15:26:28 EDT
This is NOT a blocker for the 5.3 release. Can someone nack the blocker flag?

Note You need to log in before you can comment on or make changes to this bug.